Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.escape.ascape.wrap
Class ModelWrapperScapeListener

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.eclipse.amp.escape.ascape.wrap.ModelWrapperScapeListener

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, org.ascape.model.event.ScapeListener, org.ascape.util.HasName

    public class ModelWrapperScapeListener

extends org.ascape.model.event.DefaultScapeListener

The listener interface for receiving modelWrapperScape events. The class that is interested in processing a modelWrapperScape event implements this interface, and the object created with that class is registered with a component using the component's `addModelWrapperScapeListener`method. When the modelWrapperScape event occurs, that object's appropriate method is invoked.``

See Also:
  `ModelWrapperScapeEvent`, Serialized Form

Field Summary

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`scape`

Constructor Summary
`ModelWrapperScapeListener(IModel model, org.ascape.model.Scape scape, ILifeCycleListener wrapped)` Instantiates a new model wrapper scape listener.

Method Summary
`java.lang.Object` | `clone()` Clones this object.
`java.lang.String` | `getName()`
`org.ascape.model.Scape` | `getScape()`
`boolean` | `isGraphic()`
`boolean` | `isLifeOfScape()`
`void` | `scapeAdded(org.ascape.model.event.ScapeEvent scapeEvent)`
`void` | `scapeClosing(org.ascape.model.event.ScapeEvent scapeEvent)`
`void` | `scapeInitialized(org.ascape.model.event.ScapeEvent scapeEvent)`
`void` | `scapeIterated(org.ascape.model.event.ScapeEvent scapeEvent)`
`void` | `scapeRemoved(org.ascape.model.event.ScapeEvent scapeEvent)`
`void` | `scapeSetup(org.ascape.model.event.ScapeEvent scapeEvent)`
`void` | `scapeStarted(org.ascape.model.event.ScapeEvent scapeEvent)`
`void` | `scapeStopped(org.ascape.model.event.ScapeEvent scapeEvent)`

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`environmentQuiting, isNotifyScapeAutomatically, notifyScapeUpdated, scapeDeserialized, scapeNotification, setName, setNotifyScapeAutomatically, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelWrapperScapeListener

    public ModelWrapperScapeListener(IModel model,
                                     org.ascape.model.Scape scape,
                                     ILifeCycleListener wrapped)

  Instantiates a new model wrapper scape listener.

  Parameters:
    `model` - the model
    `scape` - the scape
    `wrapped` - the wrapped

Method Detail

### scapeAdded

    public void scapeAdded(org.ascape.model.event.ScapeEvent scapeEvent)
                    throws java.util.TooManyListenersException

  Specified by:
    `scapeAdded` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `scapeAdded` in class `org.ascape.model.event.DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  Throws:
    `java.util.TooManyListenersException`
  See Also:
    `DefaultScapeListener.scapeAdded(org.ascape.model.event.ScapeEvent)`

### scapeClosing

    public void scapeClosing(org.ascape.model.event.ScapeEvent scapeEvent)

  Specified by:
    `scapeClosing` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `scapeClosing` in class `org.ascape.model.event.DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeClosing(org.ascape.model.event.ScapeEvent)`

### scapeInitialized

    public void scapeInitialized(org.ascape.model.event.ScapeEvent scapeEvent)

  Specified by:
    `scapeInitialized` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `scapeInitialized` in class `org.ascape.model.event.DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeInitialized(org.ascape.model.event.ScapeEvent)`

### scapeIterated

    public void scapeIterated(org.ascape.model.event.ScapeEvent scapeEvent)

  Specified by:
    `scapeIterated` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `scapeIterated` in class `org.ascape.model.event.DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeIterated(org.ascape.model.event.ScapeEvent)`

### scapeRemoved

    public void scapeRemoved(org.ascape.model.event.ScapeEvent scapeEvent)

  Specified by:
    `scapeRemoved` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `scapeRemoved` in class `org.ascape.model.event.DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeRemoved(org.ascape.model.event.ScapeEvent)`

### scapeSetup

    public void scapeSetup(org.ascape.model.event.ScapeEvent scapeEvent)

  Specified by:
    `scapeSetup` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `scapeSetup` in class `org.ascape.model.event.DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeSetup(org.ascape.model.event.ScapeEvent)`

### scapeStarted

    public void scapeStarted(org.ascape.model.event.ScapeEvent scapeEvent)

  Specified by:
    `scapeStarted` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `scapeStarted` in class `org.ascape.model.event.DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeStarted(org.ascape.model.event.ScapeEvent)`

### scapeStopped

    public void scapeStopped(org.ascape.model.event.ScapeEvent scapeEvent)

  Specified by:
    `scapeStopped` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `scapeStopped` in class `org.ascape.model.event.DefaultScapeListener`
  Parameters:
    `scapeEvent` -
  See Also:
    `DefaultScapeListener.scapeStopped(org.ascape.model.event.ScapeEvent)`

### getScape

    public org.ascape.model.Scape getScape()

  Specified by:
    `getScape` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `getScape` in class `org.ascape.model.event.DefaultScapeListener`
  Returns:
  See Also:
    `DefaultScapeListener.getScape()`

### isGraphic

    public boolean isGraphic()

  Specified by:
    `isGraphic` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `isGraphic` in class `org.ascape.model.event.DefaultScapeListener`
  Returns:
  See Also:
    `DefaultScapeListener.isGraphic()`

### isLifeOfScape

    public boolean isLifeOfScape()

  Specified by:
    `isLifeOfScape` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `isLifeOfScape` in class `org.ascape.model.event.DefaultScapeListener`
  Returns:
  See Also:
    `DefaultScapeListener.isLifeOfScape()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.ascape.util.HasName`
  Overrides:
    `getName` in class `org.ascape.model.event.DefaultScapeListener`
  Returns:
  See Also:
    `DefaultScapeListener.getName()`

### clone

    public java.lang.Object clone()

  Clones this object.

  Specified by:
    `clone` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `clone` in class `org.ascape.model.event.DefaultScapeListener`
  Returns:
    the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD